/***********************************************************************
 dbinfo.cpp - Example showing how to request information about the
	database schema, such as table names, column types, etc.

 Copyright (c) 1998 by Kevin Atkinson, (c) 1999, 2000 and 2001 by
 MySQL AB, and (c) 2004, 2005 by Educational Technology Resources, Inc.
 Others may also hold copyrights on code in this file.  See the CREDITS
 file in the top directory of the distribution for details.

 This file is part of MySQL++.

 MySQL++ is free software; you can redistribute it and/or modify it
 under the terms of the GNU Lesser General Public License as published
 by the Free Software Foundation; either version 2.1 of the License, or
 (at your option) any later version.

 MySQL++ is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with MySQL++; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
 USA
***********************************************************************/
#include <mysql++.h>

#include <iomanip>
#include <iostream>
#include <string>
#include <vector>

using namespace std;
using namespace mysqlpp;

vector<string> yy;


int main(int argc, char* argv[])
{
	Connection connect("football","s1","root","e89120d9dfeb");
	string querystr =
      "select * from football_signinstaff";
    
    cout << querystr << "<br>" << endl;
    
    Query query = connect.query();
    query << querystr;
    
    Result res = query.store();
    Row row;
    Result::iterator iter;
    //cout << table().set("border=1") << endl;
    for (iter = res.begin(); iter != res.end(); iter++) {
      row = *iter;
	  cout<<row<<endl;
     // cout << tr() << endl;
     // cout << ((const char *)row[0]) << endl;
      
    }
    //cout << table() << endl;
	return 0;
}
